summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author LukenShiro2011-12-14 21:07:10 +0100
committer Niels Horn2011-12-18 03:07:50 +0100
commit1d42b5aa3db27e3d73544f0c61151a124442c589 (patch)
treecd5357e4950b7516e761fe0e836af3d085c95798
parent2f86bf5f72297469a2247ffea8721ebc163558b6 (diff)
downloadslackbuilds-1d42b5aa3db27e3d73544f0c61151a124442c589.tar.gz
perl/perl-http-daemon: Added (a simple http server class)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--perl/perl-http-daemon/README7
-rw-r--r--perl/perl-http-daemon/perl-http-daemon.SlackBuild90
-rw-r--r--perl/perl-http-daemon/perl-http-daemon.info10
-rw-r--r--perl/perl-http-daemon/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/perl/perl-http-daemon/README b/perl/perl-http-daemon/README
new file mode 100644
index 0000000000..cb9752cf21
--- /dev/null
+++ b/perl/perl-http-daemon/README
@@ -0,0 +1,7 @@
+Instances of the HTTP::Daemon class are HTTP/1.1 servers that listen
+on a socket for incoming requests. The HTTP::Daemon is a subclass of
+IO::Socket::INET, so you can perform socket operations directly on
+it too.
+
+This requires perl-http-message, perl-encode-locale, perl-uri-escape,
+perl-http-date and perl-html-parser.
diff --git a/perl/perl-http-daemon/perl-http-daemon.SlackBuild b/perl/perl-http-daemon/perl-http-daemon.SlackBuild
new file mode 100644
index 0000000000..cc2d95c91b
--- /dev/null
+++ b/perl/perl-http-daemon/perl-http-daemon.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for perl-http-daemon
+
+# Copyright 2011 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-http-daemon
+VERSION=${VERSION:-6.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=HTTP-Daemon
+DOCFILES="Changes README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-http-daemon/perl-http-daemon.info b/perl/perl-http-daemon/perl-http-daemon.info
new file mode 100644
index 0000000000..9624c35a23
--- /dev/null
+++ b/perl/perl-http-daemon/perl-http-daemon.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-http-daemon"
+VERSION="6.00"
+HOMEPAGE="http://search.cpan.org/dist/HTTP-Daemon/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/HTTP-Daemon-6.00.tar.gz"
+MD5SUM="36c8048775b8b53a6fb7c9d781658926"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/perl/perl-http-daemon/slack-desc b/perl/perl-http-daemon/slack-desc
new file mode 100644
index 0000000000..ebe866a3c8
--- /dev/null
+++ b/perl/perl-http-daemon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The handy ruler below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-------------------------------------------------------------|
+perl-http-daemon: perl-http-daemon (a simple http server class)
+perl-http-daemon:
+perl-http-daemon: Instances of the HTTP::Daemon class are HTTP/1.1 servers
+perl-http-daemon: that listen on a socket for incoming requests. The
+perl-http-daemon: HTTP::Daemon is a subclass of IO::Socket::INET, so you
+perl-http-daemon: can perform socket operations directly on it too.
+perl-http-daemon:
+perl-http-daemon: http://search.cpan.org/dist/HTTP-Daemon/
+perl-http-daemon:
+perl-http-daemon:
+perl-http-daemon: